Skip to content

Register a webhook endpoint

POST
/webhooks
curl --request POST \
--url https://apisandbox.puurk.com/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "partner_id": "example", "url": "example", "secret": "example", "events": [ "example" ], "active": true, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" }'

Register a new webhook endpoint

Request body

Media typeapplication/json
object
id
string
partner_id
string
url

Destination URL for webhook deliveries

string
secret

Signing secret for webhook payloads

string
events

Event types this endpoint subscribes to

Array<string>
active
boolean
created_at
string format: date-time
updated_at
string format: date-time
Examplegenerated
{
"id": "example",
"partner_id": "example",
"url": "example",
"secret": "example",
"events": [
"example"
],
"active": true,
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}

Webhook created

Media typeapplication/json
object
id
string
partner_id
string
url

Destination URL for webhook deliveries

string
secret

Signing secret for webhook payloads

string
events

Event types this endpoint subscribes to

Array<string>
active
boolean
created_at
string format: date-time
updated_at
string format: date-time
Examplegenerated
{
"id": "example",
"partner_id": "example",
"url": "example",
"secret": "example",
"events": [
"example"
],
"active": true,
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}

Invalid input

Unauthorized